<?php
session_start();
include('mysqli_connect.php');

// Check if the user is logged in
if (!empty($_SESSION['username'])) {
    // Display a welcome message and logout option
    echo "<h2>Welcome, {$_SESSION['username']}!</h2>";
    echo '<a href="logout.php" style="color: red; text-decoration: none;">Logout</a>';

    // Fetch and display products
    $query = "SELECT * FROM products";
    $result = mysqli_query($dbc, $query);

    echo "<h2>Browse Our Products:</h2>";
    echo "<div style='display: flex; flex-wrap: wrap; gap: 20px;'>";

    while ($product = mysqli_fetch_array($result, MYSQLI_ASSOC)) {
        echo "<div style='border: 1px solid #ccc; padding: 10px; width: 200px; text-align: center;'>";
        echo "<img src='images/{$product['image']}' alt='{$product['name']}' style='width:150px; height:150px;'>";
        echo "<h3>{$product['name']}</h3>";
        echo "<p>Category: {$product['category']}</p>";
        echo "<p>Price: \${$product['price']}</p>";
        echo "<p>Description: {$product['description']}</p>";
        echo "</div>";
    }
    echo "</div>";
} else {
    // If not logged in, display the login form
    echo "<h2>Please log in to view the products</h2>";
    echo '<form action="handle_login.php" method="post"> 
            <p><label>Username: <input type="text" name="username" size="20" maxlength="40"></label></p>
            <p><label>Password: <input type="password" name="password" size="20" maxlength="40"></label></p>
            <p><input type="submit" name="submit" value="Login"></p>
          </form>';
}
?>