<?php
session_start();

// Check if user is logged in and is an admin
$username = $_SESSION['username'] ?? null;
$is_admin = $_SESSION['is_admin'] ?? null;

if (!$username || $is_admin != 1) {
    header("Location: login_form.php");
    exit();
}

// Include database connection
include('mysqli_connect.php');

// Handle form submission for adding products
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $name = trim($_POST['name']);
    $category = trim($_POST['category']);
    $price = trim($_POST['price']);
    $quantity = trim($_POST['quantity']);
    $description = trim($_POST['description']);
    $image = trim($_POST['image']);

    if ($name && $category && $price && $quantity && $description && $image) {
        $query = "INSERT INTO products (name, category, price, quantity, description, image) 
                  VALUES ('$name', '$category', '$price', '$quantity', '$description', '$image')";
        
        if (mysqli_query($dbc, $query)) {
            echo "<p>Product successfully added!</p>";
        } else {
            echo "<p>Error: " . mysqli_error($dbc) . "</p>";
        }
    } else {
        echo "<p>Please fill in all fields correctly.</p>";
    }
}

// Admin dashboard content
echo "<h1>Welcome to the Admin Dashboard, $username</h1>";
echo "<p><a href='logout.php'>Logout</a></p>";

// Product addition form
echo "<h2>Add a New Product</h2>";
echo "<form action='' method='post'>
        <p><label>Product Name: <input type='text' name='name' required></label></p>
        <p><label>Category: <input type='text' name='category' required></label></p>
        <p><label>Price: <input type='number' name='price' step='0.01' required></label></p>
        <p><label>Quantity: <input type='number' name='quantity' required></label></p>
        <p><label>Description: <textarea name='description' required></textarea></label></p>
        <p><label>Image Path: <input type='text' name='image' required></label></p>
        <p><input type='submit' value='Add Product'></p>
      </form>";

// View existing products
echo "<h2>Existing Products</h2>";
$query = "SELECT * FROM products";
$result = mysqli_query($dbc, $query);

if (mysqli_num_rows($result) > 0) {
    echo "<table border='1'>
            <tr>
                <th>ID</th>
                <th>Name</th>
                <th>Category</th>
                <th>Price</th>
                <th>Quantity</th>
                <th>Description</th>
                <th>Image</th>
            </tr>";
    while ($row = mysqli_fetch_array($result, MYSQLI_ASSOC)) {
        echo "<tr>
                <td>{$row['product_id']}</td>
                <td>{$row['name']}</td>
                <td>{$row['category']}</td>
                <td>\${$row['price']}</td>
                <td>{$row['quantity']}</td>
                <td>{$row['description']}</td>
                <td><img src='images/{$row['image']}' alt='{$row['name']}' style='width:50px; height:50px;'></td>
              </tr>";
    }
    echo "</table>";
} else {
    echo "<p>No products found.</p>";
}

// Display total number of products
$product_count_query = "SELECT COUNT(*) AS product_count FROM products";
$product_count_result = mysqli_query($dbc, $product_count_query);
if ($product_count_result) {
    $product_count_data = mysqli_fetch_array($product_count_result, MYSQLI_ASSOC);
    echo "<h2>Total Products: {$product_count_data['product_count']}</h2>";
} else {
    echo "<p>Error fetching product data: " . mysqli_error($dbc) . "</p>";
}

// Check how many users are registered in the database
$user_query = "SELECT COUNT(*) AS user_count FROM users";
$user_result = mysqli_query($dbc, $user_query);
if ($user_result) {
    $user_data = mysqli_fetch_array($user_result, MYSQLI_ASSOC);
    echo "<h2>Total Users: {$user_data['user_count']}</h2>";
} else {
    echo "<p>Error fetching user data: " . mysqli_error($dbc) . "</p>";
}
?>
