<?php
session_start();

// Ensure the user is logged in
if (empty($_SESSION['username'])) {
    echo "<h2>Please log in to view the products</h2>";
    echo '<form action="handle_login.php" method="post"> 
            <p><label>Username: <input type="text" name="username" size="20" maxlength="40"></label></p>
            <p><label>Password: <input type="password" name="password" size="20" maxlength="40"></label></p>
            <p><input type="submit" name="submit" value="Login"></p>
          </form>';
    exit();
}
//check if admin so that we can show add new product button
$is_admin = $_SESSION['is_admin'] ?? null;

// Fetch products from the database
include('mysqli_connect.php');

// Fetch categories dynamically from the database
$category_query = "SELECT DISTINCT category FROM products";
$category_result = mysqli_query($dbc, $category_query);
$categories = [];
while ($row = mysqli_fetch_array($category_result, MYSQLI_ASSOC)) {
    $categories[] = $row['category'];
}

// Initialize query with the base condition
$query = "SELECT * FROM products WHERE 1 = 1";

// Initialize filter variables
$category = isset($_POST['category']) ? trim($_POST['category']) : '';
$min_price = isset($_POST['min_price']) ? trim($_POST['min_price']) : '';
$max_price = isset($_POST['max_price']) ? trim($_POST['max_price']) : '';
$search_term = isset($_POST['search_term']) ? trim($_POST['search_term']) : '';

// Add global search functionality
if (!empty($search_term)) {
    $query .= " AND (name LIKE '%$search_term%' OR description LIKE '%$search_term%' OR category LIKE '%$search_term%')";
}

// Add filters for category
if (!empty($category)) {
    $query .= " AND category = '$category'";
}

// Add filters for price range
if (!empty($min_price)) {
    $query .= " AND price >= $min_price";
}
if (!empty($max_price)) {
    $query .= " AND price <= $max_price";
}

// Execute the query
$result = mysqli_query($dbc, $query);

// Display welcome message
echo "<h1>Welcome to The Retro Vault, {$_SESSION['username']}!</h1>";
echo "<h2>Browse Our Products:</h2>";

// Global search box
echo '<form action="" method="post">
        <p><label>Search: <input type="text" name="search_term" value="' .($search_term) . '" placeholder="Search products..."></label></p>
        <p><input type="submit" value="Search"></p>
      </form>';

// Filter form
echo '<form action="" method="post">
        <p><label>Category:
            <select name="category">
                <option value="">All Categories</option>';
foreach ($categories as $cat) {
    echo '<option value="' . ($cat) . '" ' . ($category == $cat ? 'selected' : '') . '>' . ($cat) . '</option>';
}
echo '  </select>
        </label></p>
        <p><label>Price Range: From $ <input type="number" name="min_price" value="' . ($min_price) . '" step="0.01"></label></p>
        <p><label>To $ <input type="number" name="max_price" value="' . ($max_price) . '" step="0.01"></label></p>
        <p><input type="submit" value="Search"></p>
      </form>';
      
  // Admin-only link to Add Products page    
      if ($is_admin == 1) {
    echo "<br><br><a href='handle_admin.php'>
            <button style='padding: 10px 20px; background-color: #ff9800; color: white; border: none; cursor: pointer;'>Add New Product</button>
          </a>";
}

// Display products
if (mysqli_num_rows($result) > 0) {
    echo "<div style='display: flex; flex-wrap: wrap; gap: 20px;'>";
    while ($product = mysqli_fetch_array($result, MYSQLI_ASSOC)) {
        echo "<div style='border: 1px solid #ccc; padding: 10px; width: 200px; text-align: center;'>";
        echo "<img src='images/{$product['image']}' alt='{$product['name']}' style='width:150px; height:150px;'>";
        echo "<h3>{$product['name']}</h3>";
        echo "<p>Category: {$product['category']}</p>";
        echo "<p>Price: \${$product['price']}</p>";
        echo "<p>Description: {$product['description']}</p>";
        echo "<p><a href='product_detail.php?product_id={$product['product_id']}'>View Details</a></p>";
        
        // Add to basket button
        echo "<form action='add_to_basket.php' method='post'>
                <input type='hidden' name='product_id' value='{$product['product_id']}'>
                <input type='hidden' name='product_name' value='{$product['name']}'>
                <input type='hidden' name='product_price' value='{$product['price']}'>
                <input type='submit' value='Add to Basket'>
              </form>";

        echo "</div>";
    }
    echo "</div>";
} else {
    echo "<p>No products match your search criteria.</p>";
}

// Checkout button
echo '<br><br>';
echo "<a href='checkout.php'>
        <button style='padding: 10px 20px; background-color: #4CAF50; color: white; border: none; cursor: pointer;'>Go to Checkout</button>
      </a>";

// Logout link
echo '<p><a href="logout.php" style="color: red; text-decoration: none;">Logout</a></p>';
?>
